clang 8.0.0

Static Public Member Functions | List of all members
llvm::GraphTraits< ::clang::DominatorTree *> Struct Template Reference

`#include "clang/Analysis/Analyses/Dominators.h"`

Inheritance diagram for llvm::GraphTraits< ::clang::DominatorTree *>:
[legend]
Collaboration diagram for llvm::GraphTraits< ::clang::DominatorTree *>:
[legend]

## Static Public Member Functions
static NodeRef | getEntryNode (::clang::DominatorTree *DT)
static nodes_iterator | nodes_begin (::clang::DominatorTree *N)
static nodes_iterator | nodes_end (::clang::DominatorTree *N)

## Detailed Description

### template<>
struct llvm::GraphTraits< ::clang::DominatorTree *>

Definition at line 185 of file Dominators.h.

## Member Function Documentation

## ◆ getEntryNode()

static NodeRef llvm::GraphTraits< ::clang::DominatorTree *>::getEntryNode | ( | ::clang::DominatorTree * | DT | ) |
| inline static

Definition at line 187 of file Dominators.h.

References clang::DominatorTree::getRootNode().

## ◆ nodes_begin()

static nodes_iterator llvm::GraphTraits< ::clang::DominatorTree *>::nodes_begin | ( | ::clang::DominatorTree * | N | ) |
| inline static

Definition at line 191 of file Dominators.h.

## ◆ nodes_end()

static nodes_iterator llvm::GraphTraits< ::clang::DominatorTree *>::nodes_end | ( | ::clang::DominatorTree * | N | ) |
| inline static

Definition at line 195 of file Dominators.h.

The documentation for this struct was generated from the following file:

- include/clang/Analysis/Analyses/Dominators.h